All Classes Namespaces Files Functions Variables Typedefs Enumerator Friends Macros Groups
multinomial_rng.hpp File Reference
`#include <stan/math/prim/mat/err/check_simplex.hpp>`
`#include <stan/math/prim/scal/err/check_size_match.hpp>`
`#include <stan/math/prim/scal/err/check_nonnegative.hpp>`
`#include <stan/math/prim/scal/err/check_positive.hpp>`
`#include <stan/math/prim/scal/fun/multiply_log.hpp>`
`#include <stan/math/prim/scal/fun/constants.hpp>`
`#include <stan/math/prim/scal/prob/binomial_rng.hpp>`
`#include <stan/math/prim/scal/meta/include_summand.hpp>`
`#include <boost/math/special_functions/gamma.hpp>`
`#include <boost/random/uniform_01.hpp>`
`#include <boost/random/variate_generator.hpp>`
`#include <vector>`

Go to the source code of this file.

## Namespaces

| stan
| stan::math
| Matrices and templated mathematical functions.

## Functions

template<class RNG >
std::vector< int > | stan::math::multinomial_rng (const Eigen::Matrix< double, Eigen::Dynamic, 1 > &theta, const int N, RNG &rng)

[ Stan Home Page ] © 2011–2015, Stan Development Team.